RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Object.MatchQueue Class Reference

## Public Member Functions
| MatchQueue (Playground _playground)
Playground | getPlayground ()
List< RobotMatch > | getMatches ()
synchronized void | synchronize (RobotMatchRepository repository)
synchronized int | removeAllDone ()
synchronized boolean | add (RobotMatch match)
RobotMatch | getFirst ()
synchronized boolean | setFirst (long matchID)

## Detailed Description

Fronta zapasu, ktere cekaji na odehrani

## Constructor & Destructor Documentation

## ◆ MatchQueue()

com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Object.MatchQueue.MatchQueue | ( | Playground | _playground | ) |
| inline

Fronta zapasu, ktere cekaji na odehrani

Parameters

  _discipline | Disciplina, ve ktere se zapasi konaji

## Member Function Documentation

## ◆ add()

synchronized boolean com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Object.MatchQueue.add | ( | RobotMatch | match | ) |
| inline

Prida dalsi zapas do fronty. Pokud se v ni jiz nachazi, nebude ho pridavat.

Parameters

  match | Novy zapas

Returns
  True -> zapas byl pridan

## ◆ getFirst()

RobotMatch com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Object.MatchQueue.getFirst | ( |  | ) |
| inline

Navrati zapas, ktery je jako prvni ve fronte

Returns
  Zapas

## ◆ getMatches()

List<RobotMatch> com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Object.MatchQueue.getMatches | ( |  | ) |
| inline

Navrati seznam cekajicich

Returns
  Seznam zapasu cekajicich na odehrani

## ◆ getPlayground()

Playground com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Object.MatchQueue.getPlayground | ( |  | ) |
| inline

Navrati disciplinu, ve ktere se hraje

Returns
  Disciplina

## ◆ removeAllDone()

synchronized int com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Object.MatchQueue.removeAllDone | ( |  | ) |
| inline

Odebere vsechny zapasy, ktery jiz byl odehrane

Returns
  Pocet odstranenych zapasu

## ◆ setFirst()

synchronized boolean com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Object.MatchQueue.setFirst | ( | long | matchID | ) |
| inline

Zapas s konkretnim ID presune na prvni misto ve fronte

Parameters

  matchID | ID zapasu

Returns
  True -> presunuti bylo uspesne

## ◆ synchronize()

synchronized void com.robogames.RoboCupMS.Module.OrderManagement.Bussiness.Object.MatchQueue.synchronize | ( | RobotMatchRepository | repository | ) |
| inline

Synchronizuje stavy zapasu ve fronte ze stavy zapasu v databazi

Parameters

  repository | RobotMatchRepository

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Module/OrderManagement/Bussiness/Object/MatchQueue.java